import { jsx } from "react/jsx-runtime";
import { TokenMND as TokenMND$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMND = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MND", "data-name": "TokenMND", ...props, children: /* @__PURE__ */ jsx(TokenMND$1, { variant }) });
  }
);
TokenMND.displayName = "TokenMND";
Object.assign(TokenMND, { isGdsIcon: true });
export {
  TokenMND
};
